Cria ou atualiza o representante legal para submerchants PJ. Apenas submerchants com `entity_type: "pj"` podem ter representante legal. Se já existir um representante, os dados são atualizados.
/v1/submerchants/{id}/legal-representativebasicAuth Autenticação via chave de API. Use publicKey:secretKey codificado em Base64 no header Authorization: Basic {credentials}.
In: header
ID do submerchant
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
curl -X POST "https://example.com/v1/submerchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/legal-representative" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "document": "stringstrin", "birth_date": "2019-08-24", "mother_name": "string" }'{
"success": true,
"message": "string",
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"submerchant_id": "0534fe1e-3158-45a7-83b1-35fcc9d94bc5",
"name": "string",
"document": "string",
"birth_date": "2019-08-24",
"phone": "string",
"mother_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"success": false,
"message": "string",
"error": "string"
}{
"success": false,
"message": "string",
"error": "string"
}Nome completo do representante legal
CPF (11 digitos) ou CNPJ (14 digitos) do representante
Data de nascimento (YYYY-MM-DD)
Telefone do representante
Nome completo da mae